'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var namedModel_model = require('../../named-model.model.js');

/**
 * Type guard to check if a filter is a {@link BooleanFilter}.
 *
 * @param filter - The filter to check.
 *
 * @returns True if the filter is a {@link BooleanFilter}, false otherwise.
 *
 * @public
 */
function isBooleanFilter(filter) {
    return namedModel_model.BooleanFilterModelNames.includes(filter.modelName);
}

exports.isBooleanFilter = isBooleanFilter;
