/**
 * Type guard to check if a facet is an {@link NumberRangeFacet}.
 *
 * @param facet - The facet to check.
 *
 * @returns True if the facet is a {@link NumberRangeFacet}, false otherwise.
 *
 * @public
 */
function isNumberRangeFacet(facet) {
    return facet.modelName === 'NumberRangeFacet';
}

export { isNumberRangeFacet };
